| Kea 3.0.2-git

isc::cryptolink::RNGImpl Class Reference

Botan implementation of RNG. More...

Inheritance diagram for isc::cryptolink::RNGImpl:
[legend]

## Public Member Functions
| RNGImpl ()
| RNGImpl ()
| ~RNGImpl ()
| ~RNGImpl ()
Public Member Functions inherited from isc::cryptolink::RNG
| RNG ()
| Constructor from a Random Number Generator.
virtual | ~RNG ()
| Destructor.

## Detailed Description

Botan implementation of RNG.

OpenSSL implementation of RNG.

Definition at line 30 of file botan_link.cc.

## Constructor & Destructor Documentation

## ◆ RNGImpl() [1/2]

isc::cryptolink::RNGImpl::RNGImpl | ( |  | ) |
| inline

Definition at line 32 of file botan_link.cc.

## ◆ ~RNGImpl() [1/2]

isc::cryptolink::RNGImpl::~RNGImpl | ( |  | ) |
| inline

Definition at line 36 of file botan_link.cc.

## ◆ RNGImpl() [2/2]

isc::cryptolink::RNGImpl::RNGImpl | ( |  | ) |
| inline

Definition at line 30 of file openssl_link.cc.

## ◆ ~RNGImpl() [2/2]

isc::cryptolink::RNGImpl::~RNGImpl | ( |  | ) |
| inline

Definition at line 32 of file openssl_link.cc.

The documentation for this class was generated from the following files:

- botan_link.cc
- openssl_link.cc